package com.liquidnet.service.sweet.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.sweet.entity.SweetAppletSubMsg;

/**
 * <p>
 * 小程序订阅消息记录表 服务类
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-11-22
 */
public interface ISweetAppletSubMsgService extends IService<SweetAppletSubMsg> {

    ResponseDto sendMsg(Integer type);

    ResponseDto sendOfActivityType(Integer activityType, String targetId, Integer timeType);

    ResponseDto sendOfMid(String midList, String targetId, Integer timeType);

    ResponseDto<Boolean> create(String openId, String unionId, String templateId, String targetId, Integer appletType, Integer activityType);

}
